
Application: gvSIG desktop - gvSIG bugs #5034
Da error al crear campos si no se marca la opción de que permita "null"
03/05/2019 04:20 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee:
Category: Document table
Target version: 2.5.0-2925
Severity: Blocker Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2922 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al crear un campo de cualquier tipo, si no se marca la opción de que permita valores "null" da error.

Habría que dejar esa opción marcada por defecto, ya que si no no se pueden crear campos.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 5050: problemas al crear... Closed 03/27/2019

Associated revisions
Revision 44223 - 03/28/2019 01:17 PM - Joaquín  del Cerro Murciano

refs #5034, añadido mensaje de aviso cuando se desmarca el check de permitir nulos.

Revision 44498 - 10/23/2019 12:39 PM - Óscar Martínez

refs #5034 Aparece el campo a añadir con valores correctos de tamaño

History
#1 - 03/05/2019 04:21 PM - Mario Carrera
- Target version set to 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242)

#2 - 03/14/2019 05:54 PM - Óscar Martínez

Por las pruebas que estoy haciendo en la versión de desarrollo:
- Al crear un campo nuevo ya marca por defecto el tick de Permitir nulos
- En caso de no permitir nulos si se le indica un valor por defecto funciona sin errores
- El problema de crear un campo, no permitir nulos y  aceptar. Es que aparecen errores y no deja tampoco volver a modificar el campo creado.

#3 - 03/27/2019 10:46 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242) to 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243)

#4 - 03/28/2019 01:16 PM - Óscar Martínez
- Related to gvSIG bugs #5050: problemas al crear campo o añadir columna / promes at add field added
#5 - 03/28/2019 01:18 PM - Óscar Martínez
- Status changed from New to Fixed

#6 - 04/01/2019 12:20 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243) to 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244)

#7 - 10/17/2019 01:48 PM - Álvaro Anguix
- gvSIG build changed from 2913 to 2922
- Target version changed from 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244) to 2.5.0-2930-final
- Status changed from Fixed to New

Lo de "permitir nulos" no aparece por defecto marcado.

#8 - 10/18/2019 10:21 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2923

#9 - 10/18/2019 11:33 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#10 - 10/22/2019 05:58 PM - Álvaro Anguix
- Status changed from Fixed to New

No sé qué cambio se ha hecho, pero sigue sin funcionar.
Lo primero es que por defecto no aparece marcada la opción de permitir nulls.
Si se crea un campo, y no se marca, sale un mensaje (en cadenas de desarrollo, esto habría también que pasarlo a un texto de usuario) y una vez se
acepta ese mensaje sale un error en la barra de estado, y no deja trabajar con la tabla. La solución para poder seguir trabajando pasa por terminar
edición y dejar la tabla como estaba.

Lo que debería pasar: ir marcada por defecto la opción de nulls, en caso de que no se marque y no se deba permitir crear el campo se debería poder
seguir trabajando con la tabla.

Lo he probado con un shapefiel.

#11 - 10/22/2019 06:01 PM - Álvaro Anguix
- File gvSIG.log added

La prueba ha sido:
- Abrir tabla de atributos
- Ponerla en edición
- Crear campo nuevo, y dejar todo por defecto (Campo- 1, tipo String, Tamaño 50, etc.)

Resultado:
- Sale el mensaje con las cadenas de desarrollo ("_You_have_marked_not....")
- Una vez aceptado el mensaje no pasa nada. Vuelvo a intentar crear el campo para marcar la opción de permitir nulls y al pulsar la herramienta de
crear campo no hace nada y marca que hay un error.
- Termino la edición y descarto cambios (no deja hacer otra cosa con la tabla)
#12 - 10/22/2019 06:01 PM - Álvaro Anguix

[He adjuntado log]

#13 - 10/22/2019 07:49 PM - Álvaro Anguix
- Target version changed from 2.5.0-2923 to 2.5.0-2925

#14 - 10/22/2019 08:10 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#15 - 10/25/2019 10:51 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log 493 KB 10/22/2019 Álvaro Anguix
